Organization API: Catalog & Services: Products
The 5 Organization API operations for products.
Part of Catalog & Services.
GET /api/v1/orgs/{org_slug}/products
| Name |
In |
Type |
Required |
Description |
org_slug |
path |
string |
yes |
|
active_only |
query |
boolean |
no |
Default: True. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field |
Type |
[].id |
integer |
[].org_id |
integer |
[].name |
string |
[].slug |
string |
[].description |
string or null |
[].product_type |
string |
[].linked_product_id |
integer or null |
[].is_active |
boolean |
[].sort_order |
integer |
[].created_at |
string (date-time) or null |
[].active_plan_count |
integer |
POST /api/v1/orgs/{org_slug}/products
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
name |
string |
yes |
slug |
string |
yes |
description |
string or null |
no |
product_type |
string |
no |
linked_product_id |
integer or null |
no |
config_schema |
object or null |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field |
Type |
id |
integer |
org_id |
integer |
name |
string |
slug |
string |
description |
string or null |
product_type |
string |
linked_product_id |
integer or null |
is_active |
boolean |
sort_order |
integer |
created_at |
string (date-time) or null |
active_plan_count |
integer |
PATCH /api/v1/orgs/{org_slug}/products/{product_id}
| Name |
In |
Type |
Required |
product_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
name |
string or null |
no |
description |
string or null |
no |
is_active |
boolean or null |
no |
config_schema |
object or null |
no |
sort_order |
integer or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
org_id |
integer |
name |
string |
slug |
string |
description |
string or null |
product_type |
string |
linked_product_id |
integer or null |
is_active |
boolean |
sort_order |
integer |
created_at |
string (date-time) or null |
active_plan_count |
integer |
GET /api/v1/orgs/{org_slug}/products/{product_id}/pricing
| Name |
In |
Type |
Required |
product_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field |
Type |
[].id |
integer |
[].org_product_id |
integer |
[].name |
string |
[].billing_cycle |
string |
[].price |
string |
[].setup_fee |
string |
[].currency |
string |
[].is_active |
boolean |
[].sort_order |
integer |
[].created_at |
string (date-time) or null |
POST /api/v1/orgs/{org_slug}/products/{product_id}/pricing
| Name |
In |
Type |
Required |
product_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
name |
string |
yes |
billing_cycle |
string |
yes |
price |
number or string |
yes |
setup_fee |
number or string |
no |
currency |
string |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field |
Type |
id |
integer |
org_product_id |
integer |
name |
string |
billing_cycle |
string |
price |
string |
setup_fee |
string |
currency |
string |
is_active |
boolean |
sort_order |
integer |
created_at |
string (date-time) or null |